# Copyright 2020 University of Liège
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# FindAMGC.cmake - try to find AMGCL headers
# ----------------------------------------------------------------------------
# output:
#    AMGCL_FOUND             : TRUE/FALSE
#    AMGCL_INCLUDE_DIRS      : where the amgcl/*.h are              [cached]
# ----------------------------------------------------------------------------
# autodetection:
#    utiliser "CMAKE_PREFIX_PATH=c:\local"
#          ou "CMAKE_INCLUDE_PATH=c:\local\include"
#          ou "INCLUDE=c:\local\include"
# ----------------------------------------------------------------------------

# Find the header and check the version
find_path(AMGCL_INCLUDE_DIRS "amgcl/amg.hpp")
if (NOT AMGCL_INCLUDE_DIRS)
    message(FATAL_ERROR "AMGCL headers not found! Define the path in the INCLUDE environment variable.")
endif()

# handle the QUIETLY and REQUIRED arguments and set AMGCL_FOUND to TRUE
# if all listed variables are TRUE
include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(AMGCL
                                  FOUND_VAR AMGCL_FOUND
                                  REQUIRED_VARS AMGCL_INCLUDE_DIRS)
