# amfe
amfe is a collection of general utilities and finite element tools for solving various PDE. The code is written in C++ interfaced in python through SWIG, and is developed at the University of Liège.

![](/dox/img.png)

## Features
Set of python/C++ modules:
  - [fwk](/fwk): general utilities (timers, ...)
  - [tbox](/tbox): general finite element utilities (mesh handler, nodes/elements handler, ...)
  - [tboxVtk](/tboxVtk): VTK extensions for tbox

Additional features:
  - [x] [gmsh](http://geuz.org/gmsh/) support for mesh and post-processing
  - [x] [vtk](http://www.vtk.org/)/[PyQt](https://riverbankcomputing.com/software/pyqt/intro) support for post processing and basic GUI
  - [x] [OpenBLAS](http://www.openblas.net/) or [Intel MKL](https://software.intel.com/en-us/intel-mkl) support
  - [x] [Eigen3](http://eigen.tuxfamily.org/index.php?title=Main_Page) support for linear algebra
     - [Intel Pardiso](https://software.intel.com/content/www/us/en/develop/documentation/mkl-developer-reference-c/top/sparse-solver-routines/intel-mkl-pardiso-parallel-direct-sparse-solver-interface/pardiso.html) support
     - [MUMPS](http://mumps.enseeiht.fr/) support
  - [x] [TBB](https://www.threadingbuildingblocks.org/) support for multithreading
  - [x] [mpi4py](https://bitbucket.org/mpi4py/mpi4py) support for parallelization

## Build
Detailed build instructions can be found in the [wiki](https://gitlab.uliege.be/am-dept/amfe/wikis/home).
