/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "tbox.h"
#include "eigen_extra.h"
#include "std_extra.h"

#include "wCache.h"
#include "wCacheHex8.h"
#include "wCacheLine2.h"
#include "wCachePoint1.h"
#include "wCacheQuad4.h"
#include "wCacheTetra4.h"
#include "wCacheTri3.h"
#include "wDss.h"
#include "wElement.h"
#include "wFct0.h"
#include "wFct1.h"
#include "wFct2.h"
#include "wGaussHex8.h"
#include "wGaussLine2.h"
#include "wGaussQuad4.h"
#include "wGaussTetra4.h"
#include "wGaussTri3.h"
#include "wGmres.h"
#include "wGmresAmg.h"
#include "wGmshExport.h"
#include "wGmshImport.h"
#include "wGroup.h"
#include "wGroups.h"
#include "wHex8.h"
#include "wLazy.h"
#include "wLine2.h"
#include "wLinearSolver.h"
#include "wMshConvert.h"
#include "wMshCrack.h"
#include "wMshData.h"
#include "wMshDeform.h"
#include "wMshExport.h"
#include "wMshImport.h"
#include "wMumps.h"
#include "wNode.h"
#include "wPardiso.h"
#include "wPoint1.h"
#include "wQuad4.h"
#include "wResults.h"
#include "wSfHex8.h"
#include "wSfLine2.h"
#include "wSfQuad4.h"
#include "wSfTetra4.h"
#include "wSfTri3.h"
#include "wSparseLu.h"
#include "wTag.h"
#include "wTetra4.h"
#include "wTri3.h"
#include "wUnitTest.h"